gnutls_handshake_set_max_packet_length(3)

NAME
gnutls_handshake_set_max_packet_length - set the maximum size of the handshake

SYNOPSIS
#include <gnutls/gnutls.h>

void gnutls_handshake_set_max_packet_length(gnutls_session_t session, size_t max);

ARGUMENTS

gnutls_session_t session
    is a gnutls_session_t structure.

size_t max
    is the maximum number.

DESCRIPTION
This function will set the maximum size of all handshake messages. Handshakes over this size are rejected with GNUTLS_E_HANDSHAKE_TOO_LARGE error code. The default value is 48kb which is typically large enough. Set this to 0 if you do not want to set an upper limit. The reason for restricting the handshake message sizes are to limit Denial of Service attacks.

REPORTING BUGS
Report bugs to <bug-gnutls@gnu.org>. GnuTLS home page: http://www.gnu.org/software/gnutls/ General help using GNU software: http://www.gnu.org/gethelp/

COPYRIGHT
Copyright © 2008 Free Software Foundation.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the info and gnutls programs are properly installed at your site, the command

    info gnutls

should give you access to the complete manual.